#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f1("stnn.inp");
	int n;
	f1>>n;
	f1.close();
	float sc,sl,s;
	sc=sl=s=0;
	int demc,deml,dem;
	demc=deml=dem=0;
	for(int i=1;i<n;i++)
	{
		 if(i%2==0){sc+=i;
		 demc++;
		 }
		 else {sl+=i;
		 deml++;
		 } 
	}
	s=sc+sl;
	dem=demc+deml;
	float tbcc,tbcl,tbc;
	tbcc=sc/demc;
	tbcl=sl/deml;
	tbc=s/dem;
	ofstream f2("stnn.out");
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<sc<<" "<<tbcc<<endl;
	f2<<sl<<" "<<tbcl<<endl;
	f2<<s<<" "<<tbc<<endl;
	f2.close();
}
